UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
com.latencybusters.lbm.sdm.LBMSDMRawUint64 Class Reference
Inheritance diagram for com.latencybusters.lbm.sdm.LBMSDMRawUint64:

## Public Member Functions
| LBMSDMRawUint64 () throws LBMSDMException
| LBMSDMRawUint64 (BigInteger v) throws LBMSDMException
void | set (BigInteger v)
BigInteger | get () throws LBMSDMException
int | format (byte[] buf, int offset) throws LBMSDMException
String | toString ()
int | parse (byte[] buf, int offset) throws LBMSDMException
BigInteger | toBigInteger ()
int | compareTo (BigInteger bi)
LBMSDMRawUint64 | clone () throws CloneNotSupportedException
String | toDbgString ()
void | set_debug_level (int level)
void | log (String s)

## Static Public Member Functions
static int | format (byte[] buf, int offset, BigInteger v) throws LBMSDMException
static BigInteger | parse_s (byte[] buf, int offset) throws LBMSDMException

## Static Public Attributes
static int | length = 8
static final int | DEBUG_BASIC = 1
static final int | DEBUG_VERBOSE_PARSING = 2

## Protected Attributes
int | debug_level = 0

## Detailed Description

An LBMSDMRawUint64 is a helper class to minimise the effort of formatting and parsing unsigned 64 bit integers

## Constructor & Destructor Documentation

com.latencybusters.lbm.sdm.LBMSDMRawUint64.LBMSDMRawUint64 | ( |  | ) | throws LBMSDMException

Create a raw uint64 field, defaulting to 0

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawUint64.clone().

com.latencybusters.lbm.sdm.LBMSDMRawUint64.LBMSDMRawUint64 | ( | BigInteger | v | ) | throws LBMSDMException

Create a raw uint64 field providing the value as a BigInteger

Parameters

  v | The BigInteger to seed this raw object

## Member Function Documentation

LBMSDMRawUint64 com.latencybusters.lbm.sdm.LBMSDMRawUint64.clone | ( |  | ) | throws CloneNotSupportedException

Get a copy of this object

Returns
  A copy of the uint64

References com.latencybusters.lbm.sdm.LBMSDMRawUint64.clone(), com.latencybusters.lbm.sdm.LBMSDMRawUint64.LBMSDMRawUint64(), and com.latencybusters.lbm.sdm.LBMSDMRawUint64.set().

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawUint64.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldUint64.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldUint64.set(), and com.latencybusters.lbm.sdm.LBMSDMArrayUint64.set().

int com.latencybusters.lbm.sdm.LBMSDMRawUint64.compareTo | ( | BigInteger | bi | ) |

Compare to another BigInteger

Parameters

  bi | The BigInteger to be compared to

Returns
  0 if equal, negative if less than, positive if greater than

static int com.latencybusters.lbm.sdm.LBMSDMRawUint64.format | ( | byte [] | buf,
|  | int | offset,
|  | BigInteger | v
| ) |  | throws LBMSDMException
| static

Format an uint64 value into a byte buffer

Parameters

  buf | The buffer to contain the formatted value
  offset | The offset in to the buffer to start formatting
  v | The value of the uint64 to be formatted as a long

Returns
  The offset after formatting the BigInteger

References com.latencybusters.lbm.sdm.LBMSDMRawUint64.length.

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawUint64.format(), and com.latencybusters.lbm.sdm.LBMSDMFieldUint64.format().

int com.latencybusters.lbm.sdm.LBMSDMRawUint64.format | ( | byte [] | buf,
|  | int | offset
| ) |  | throws LBMSDMException

Format the raw uint64 value into a byte buffer

Parameters

  buf | The buffer to contain the formatted value
  offset | The offset in to the buffer to start formatting

Returns
  The offset after formatting this object

References com.latencybusters.lbm.sdm.LBMSDMRawUint64.format().

BigInteger com.latencybusters.lbm.sdm.LBMSDMRawUint64.get | ( |  | ) | throws LBMSDMException

Get a raw uint64 field as a BigInteger

Returns
  A copy of the BigInteger this object has

Referenced by com.latencybusters.lbm.sdm.LBMSDMArrayUint64.set(), and com.latencybusters.lbm.sdm.LBMSDMFieldUint64.toBigInteger().

void com.latencybusters.lbm.sdm.LBMSDM.log | ( | String | s | ) |
| inherited

Log an event. If debug level is set greater than 0, output to stderr

Referenced by com.latencybusters.lbm.sdm.LBMSDMFields.get_attr(), com.latencybusters.lbm.sdm.LBMSDMFields.LBMSDMFields(), com.latencybusters.lbm.sdm.LBMSDMFieldBlob.set(), com.latencybusters.lbm.sdm.LBMSDMFieldMessage.set(), com.latencybusters.lbm.sdm.LBMSDMFieldDecimal.set(), com.latencybusters.lbm.sdm.LBMSDMFieldTimestamp.set(), com.latencybusters.lbm.sdm.LBMSDMArrayDecimal.set(), and com.latencybusters.lbm.sdm.LBMSDMArrayUint64.set().

int com.latencybusters.lbm.sdm.LBMSDMRawUint64.parse | ( | byte [] | buf,
|  | int | offset
| ) |  | throws LBMSDMException

Parse the raw uint64 value from a byte buffer in to the object

Parameters

  buf | The buffer that contains the formatted value
  offset | The offset in to the buffer to start parsing

Returns
  the new offset after parsing the field

References com.latencybusters.lbm.sdm.LBMSDMRawUint64.length, and com.latencybusters.lbm.sdm.LBMSDMRawUint64.parse_s().

Referenced by com.latencybusters.lbm.sdm.LBMSDMFieldUint64.parse().

static BigInteger com.latencybusters.lbm.sdm.LBMSDMRawUint64.parse_s | ( | byte [] | buf,
|  | int | offset
| ) |  | throws LBMSDMException
| static

Parse the raw uint64 value from a byte buffer

Parameters

  buf | The buffer that contains the formatted value
  offset | The offset in to the buffer to start parsing

Returns
  The uint64 value parsed as a long

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawUint64.parse().

void com.latencybusters.lbm.sdm.LBMSDMRawUint64.set | ( | BigInteger | v | ) |

Set a raw uint64 field providing the value as a BigInteger

Parameters

  v | The BigInteger this raw object is to use

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawUint64.clone().

void com.latencybusters.lbm.sdm.LBMSDM.set_debug_level | ( | int | level | ) |
| inherited

Set the debug level for processing this SDM message. Currently all debugs go to standard out.

BigInteger com.latencybusters.lbm.sdm.LBMSDMRawUint64.toBigInteger | ( |  | ) |

Get the long representation of the uint64

Returns
  A long with the value of the object

Referenced by com.latencybusters.lbm.sdm.LBMSDMArrayUint64.toBigInteger(), and com.latencybusters.lbm.sdm.LBMSDMRawUint64.toString().

String com.latencybusters.lbm.sdm.LBMSDMRaw.toDbgString | ( |  | ) |
| inherited

Get a debug string for this object. This is not expected to be called and exists for child classes.

Returns
  returns null - derived classes override with their value

Referenced by com.latencybusters.lbm.sdm.LBMSDMBadRawObjectException.LBMSDMBadRawObjectException().

String com.latencybusters.lbm.sdm.LBMSDMRawUint64.toString | ( |  | ) |

Get a string version of an uint64

Returns
  A string representation of the uint64

References com.latencybusters.lbm.sdm.LBMSDMRawUint64.toBigInteger().

## Member Data Documentation

final int com.latencybusters.lbm.sdm.LBMSDM.DEBUG_BASIC = 1
| static inherited

Debug flag for basic debug output

int com.latencybusters.lbm.sdm.LBMSDM.debug_level = 0
| protected inherited

Debug mask for SDM implementation.

See also
  set_debug_level

Referenced by com.latencybusters.lbm.sdm.LBMSDMessage.data(), com.latencybusters.lbm.sdm.LBMSDMessage.parse(), com.latencybusters.lbm.sdm.LBMSDMFieldMessage.parse(), and com.latencybusters.lbm.sdm.LBMSDMArrayMessage.parse().

final int com.latencybusters.lbm.sdm.LBMSDM.DEBUG_VERBOSE_PARSING = 2
| static inherited

Debug flag for verbose message parsing output

int com.latencybusters.lbm.sdm.LBMSDMRawUint64.length = 8
| static

The number of bytes needed to store a raw LBMSDMRawUint64

Referenced by com.latencybusters.lbm.sdm.LBMSDMArrayUint64.append(), com.latencybusters.lbm.sdm.LBMSDMArrayUint64.clone(), com.latencybusters.lbm.sdm.LBMSDMRawUint64.format(), com.latencybusters.lbm.sdm.LBMSDMArrayUint64.LBMSDMArrayUint64(), and com.latencybusters.lbm.sdm.LBMSDMRawUint64.parse().

The documentation for this class was generated from the following file:

- LBMSDMRawUint64.java